osl::eval::ml::King25EffectY Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 17 * 128 * 2 * 9 }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state, int black_attack_effect, int black_attack_piece, int white_attack_effect, int white_attack_piece, int black_defense_effect, int black_defense_piece, int white_defense_effect, int white_defense_piece)

## Static Private Member Functions

static int | index (int king_y, int effect, int piece_count)

## Static Private Attributes

static CArray< int, DIM/2 > | attack_table
static CArray< int, DIM/2 > | defense_table

## Detailed Description

Definition at line 286 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 289 of file kingTable.h.

## Member Function Documentation

## eval()

int osl::eval::ml::King25EffectY::eval | ( | const NumEffectState & | state,
|  | int | black_attack_effect,
|  | int | black_attack_piece,
|  | int | white_attack_effect,
|  | int | white_attack_piece,
|  | int | black_defense_effect,
|  | int | black_defense_piece,
|  | int | white_defense_effect,
|  | int | white_defense_piece )

inline static

Definition at line 299 of file kingTable.h.

References attack_table, osl::BLACK, defense_table, index(), osl::SimpleState::kingSquare(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

## index()

int osl::eval::ml::King25EffectY::index | ( | int | king_y,
|  | int | effect,
|  | int | piece_count )

inline static private

Definition at line 291 of file kingTable.h.

Referenced by eval().

## setUp()

void osl::eval::ml::King25EffectY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 608 of file kingTable.cc.

References attack_table, defense_table, DIM, and osl::eval::ml::Weights::value().

## Member Data Documentation

## attack_table

osl::CArray< int, osl::eval::ml::King25EffectY::DIM/2 > osl::eval::ml::King25EffectY::attack_table

static private

Definition at line 295 of file kingTable.h.

Referenced by eval(), and setUp().

## defense_table

osl::CArray< int, osl::eval::ml::King25EffectY::DIM/2 > osl::eval::ml::King25EffectY::defense_table

static private

Definition at line 296 of file kingTable.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc